Foreman - Bug #32397

Confirming interface modal by enter causes whole Host form to get confirmed
04/22/2021 02:21 PM - Ondrej Ezr

Status: Closed
Priority: Normal
Assignee: Adi Abramovitch
Category: Host creation
Target version: 251
Difficulty: Fixed in Releases: 2.5.1,3.0.0
Triaged: Yes Found in Releases:
Bugzilla link: 1775784 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/8543,
https://github.com/theforeman/foreman/p
ull/8590
Description

If interface modal (in edit host menu) is confirmed with enter, enter confirms host update instead of new interface, this action cause
another misbehavior

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1775784

Description of problem:

When user adds new interfaces to hosts and user will confirm this action with enter instead new interface confirmation the host
update confirmation is done. This action is also causing additional bug where user is unable to continue with his work without refresh
or url change, because screen is faded with gray color and no action is allowed.

Version-Release number of selected component (if applicable):
Sat 6.6 snap 24

and also

Sat 6.7 snap 1

How reproducible:
Always

Steps to Reproduce:

1. Navigate through Host -> Edit host -> Interfaces -> Add Interface

2. Click with mouse to any field in Add interface menu ( e.g Device Identifier)
3. Press Enter on your keyboard (doesn't matter which enter)

Actual results:
Confirmation doesn't work for new interface submit, but for the host submit. Host is updated, but user is unable to continue the work,
because screen is faded by gray color.

more concretely div element with class: modal-backdrop fade in

Expected results:
After user will hit the enter, only new interface should be added. And another enter should confirm host update.

Additional info:
Not sure why is allowed to add empty interfaces ( without any attributes ) to your hosts. But this is not connected with this bugzilla. |
would just like to know the idea behind that.

Associated revisions

Revision 71a331c5 - 05/24/2021 10:22 AM - Adi Abramovitch
Fixes #32397 - changed button type to submit (#8543)

“<input type="button">" doesn't get the enter event in some cases.
submit type with “return false;” should fix this issue.
https://bugzilla.redhat.com/show_bug.cgi?id=1775784

History

#1 - 05/20/2021 12:25 PM - Adi Abramovitch

- Subject changed from Confirming interface modal by enter causes whole Host form to get confirmed
to Confirming interface modal by enter causes whole Host form to get confirmed

- Assignee set to Adi Abramovitch

- Triaged changed from No to Yes

#2 - 05/20/2021 12:48 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/8543 added

#3 - 05/24/2021 10:22 AM - The Foreman Bot
- Fixed in Releases 3.0.0 added

#4 - 05/24/2021 11:01 AM - Anonymous
- Status changed from Ready For Testing to Closed

Applied in changeset foreman|71a331c5d635be24a8c56d69e1ad9ebefOf5ebac.

#5 - 06/13/2021 01:17 PM - Tomer Brisker

- Target version set to 2.5.1

#6 - 06/14/2021 10:01 AM - The Foreman Bot
- Pull request https://github.com/theforeman/foreman/pull/8590 added

#7 - 06/14/2021 02:39 PM - Tomer Brisker
- Category changed from Inventory to Host creation

- Fixed in Releases 2.5.1 added
